Subject: bug#27584: 26.0.50; alist-get: Add optional arg TESTFN

From: Michael Heerdegen <[email-masked]>
Date: Mon, 10 Jul 2017 15:18:26 +0200

Tino Calancha <[email-masked]> writes:

> > Is this a good idea in general?  PRED could also be function-quoted,
> > or a variable bound to `eq'.  And KEY could be an expression that
> > evaluates to a float.  That would fail the `floatp' test.

> Well, this code is now in the 'Limbo', because we are thinking
> to use the Nico solution (`assoc' having an optional arg PRED).
> That said, its fun to discuss about it.
> You know, this compiler macro is inspired in the one used by
> `cl-assoc' i.e., `cl--compiler-macro-assoc'.  If you find a problem
> on it, then the same problem might arise in `cl-assoc' :-S

I was wrong about your handling of KEY, I think it is ok.

For the PRED, `cl--compiler-macro-assoc' uses `cl--const-expr-val' that
DTRT for function quoting.  The compile time optimization is limited but
doesn't look wrong.

Michael.